Joomla 3.3 is now released (you can read about its features and download it here). Joomla 3.3 requires a PHP version of 5.3.10. If your hosting environment does not yet support PHP 5.3.10 there is also a new version of Joomla 3.2 available (version 3.2.4), which you are advised to update to, also a new version in the Joomla 2.5 series (2.5.20).

One reason why we are very pleased to report these new releases is that these versions all include a fix of the issue with the Joomla JFile class which we recently reported

Joomla 3.3 also continues the move away from Mootools based javascript with the Joomla core, and towards the JQuery user interface. However it is important to note that Mootools remains part of Joomla, and Mootools based behaviours such as the modal window will continue to work as before. We hope that this situation will continue, and that Mootools will remain part of Joomla, with maybe even support for multiple javascripts libraries in the future.